Bug 10299 - authorities plugin putting values in reverse order
Summary: authorities plugin putting values in reverse order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-21 15:46 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
authority plugin with reverse order (87.45 KB, image/png)
2013-05-21 15:46 UTC, Nicole C. Engard
Details
Bug 10299: authority plugin - authority field are reversed (2.13 KB, patch)
2015-04-16 13:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10299: authority plugin - authority field are reversed (2.24 KB, patch)
2015-05-14 18:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10299: authority plugin - authority field are reversed (2.33 KB, patch)
2015-05-19 12:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-21 15:46:00 UTC
Created attachment 18269 [details]
authority plugin with reverse order

This is hard to explain, so please see the attached image.  If you click the plugin next to an authority field that is already populated it takes the values from the field and puts them in the search in the reverse order. So in the image, the field has PA, Phila, Fiction but then when you click on the plugin it reorders them as Fiction, Phila, PA.  The order should match.

Nicole
Comment 1 Nicole C. Engard 2014-06-06 17:02:14 UTC
This has gotten no attention is over a year - any ideas.
Comment 2 Jonathan Druart 2015-04-16 13:57:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-16 13:57:35 UTC
Thanks for the image, very useful :)
Comment 4 Bernardo Gonzalez Kriegel 2015-05-14 18:08:10 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2015-05-19 12:07:43 UTC
Created attachment 39293 [details] [review]
Bug 10299: authority plugin - authority field are reversed

If you click the plugin next to an authority field that is already
populated it takes the values from the field and puts them in the search
in the reverse order.

Test plan:
1/ Edit a biblio
2/ Fill the subfield for an authority field (for instance 650$v, 650$x,
650$y, etc.)
3/ Click on the authority plugin
Before this patch, the values were concatenated in the reverse order.
With this patch, it should not.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no koha-qa errors

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Tomás Cohen Arazi 2015-05-19 14:51:15 UTC
Patch pushed to master.

Thanks Jonathan!